APG PayAPG Paydocs

Identity

OIDC token

POST/oidc/oauth2/token
Request
POSThttps://api.tst.au.apgpay.dev/oidc/oauth2/token
curl -X POST https://api.tst.au.apgpay.dev/oidc/oauth2/token \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"grant_type":"string","code":"string","redirect_uri":"string","refresh_token":"string","client_id":"string"}'

Exchange an authorisation code for tokens. Form-encoded per OpenID Connect Core 1.0.

Request body

grant_typestringrequired
codestring
redirect_uristring
refresh_tokenstring
client_idstring
Example request
{
  "grant_type": "string",
  "code": "string",
  "redirect_uri": "string",
  "refresh_token": "string",
  "client_id": "string"
}

Responses

access_tokenstringrequired
token_typestringrequired
expires_ininteger (int64)required
id_tokenstringrequired
refresh_tokenstring
scopestring
Example response
{
  "access_token": "string",
  "token_type": "string",
  "expires_in": 100,
  "id_token": "string",
  "refresh_token": "string",
  "scope": "string"
}

Error responses